summaryrefslogtreecommitdiff
path: root/tests/du/inaccessible-cwd
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-10-02 17:13:50 +0000
committerJim Meyering <jim@meyering.net>2003-10-02 17:13:50 +0000
commit858d2b2f733bc4c25d50656bf4ac44c1d23f9b83 (patch)
treeb8dc258920c8b53b3cbd189d2da85433d618c729 /tests/du/inaccessible-cwd
parent36337bfd1863d1d8125fa7c9f061ebf9038aaef8 (diff)
downloadcoreutils-858d2b2f733bc4c25d50656bf4ac44c1d23f9b83.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/du/inaccessible-cwd')
-rwxr-xr-xtests/du/inaccessible-cwd33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/du/inaccessible-cwd b/tests/du/inaccessible-cwd
new file mode 100755
index 000000000..e47f9b5ba
--- /dev/null
+++ b/tests/du/inaccessible-cwd
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Ensure that even when run from an inaccessible directory, du can still
+# operate on accessible directories elsewhere.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir -p no-x a/b || framework_failure=1
+cd no-x || framework_failure=1
+chmod 0 . || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+du $pwd/$tmp/a > /dev/null || fail=1
+
+(exit $fail); exit $fail